##
##  tinyca.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tinyca
Summary:      Certificate Authority GUI
URL:          http://tinyca.sm-zone.net/
Vendor:       Stephan Martin
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Misc
License:      GPL
Version:      0.4.4
Release:      20021004

#   list of sources
Source0:      http://tinyca.sm-zone.net/tinyca-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206, X11, perl, perl-tk, openssl
AutoReq:      no
AutoReqProv:  no

%description
    TinyCA is a simple graphical user-interface written in Perl/Tk
    to manage a small Certification Authority (CA).

%prep
    %setup -q -n TinyCA

%build

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/%{name} \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/%{name}
    %{l_shtool} install -c -m 755 \
        -e 's;#!/usr/bin/perl -w;#!%{l_prefix}/bin/perl;' \
        -e "s;'\./lib';'%{l_prefix}/libexec/%{name}';g" \
        -e 's;"\./templates";"%{l_prefix}/etc/%{name}";g' \
        -e 's;/usr/bin/openssl;%{l_prefix}/bin/openssl;g' \
        tinyca $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        templates/* $RPM_BUILD_ROOT%{l_prefix}/etc/%{name}/
    %{l_shtool} install -c -m 644 \
        lib/*.pm $RPM_BUILD_ROOT%{l_prefix}/libexec/%{name}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

